| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ContentFilterProperty::AllocationConfiguration Struct Reference

Allocation configuration for a ContentFilterProperty. More...

`#include <ContentFilterProperty.hpp>`

## Public Attributes

size_t | expression_initial_size = 0
| Preallocated size of the filter expression.
fastdds::ResourceLimitedContainerConfig | expression_parameters { 0, 100, 1 }
| Allocation configuration for the list of expression parameters.

## Detailed Description

Allocation configuration for a ContentFilterProperty.

## Member Data Documentation

## ◆ expression_initial_size

size_t expression_initial_size = 0

Preallocated size of the filter expression.

## ◆ expression_parameters

fastdds::ResourceLimitedContainerConfig expression_parameters { 0, 100, 1 }

Allocation configuration for the list of expression parameters.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/builtin/data/ContentFilterProperty.hpp